# PhasicFlow: src/phasicFlow/types/basicTypes/builtinTypes.hpp File Reference

builtinTypes.hpp File Reference
Include dependency graph for builtinTypes.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Macros

#define | useDouble 0

## Typedefs

using | real = float
using | int8 = signed char
using | int16 = short int
using | int32 = int
using | int64 = long long int
using | uint16 = unsigned short int
using | uint32 = unsigned int
using | label = std::size_t
using | word = std::string

## Functions

auto | floatingPointDescription ()

## Variables

const char * | floatingPointType__ = "float"
const bool | usingDouble__ = false

## Macro Definition Documentation

## useDouble

#define useDouble 0

Definition at line 36 of file builtinTypes.hpp.